Taslak Klonla

From FreeCAD Documentation
Revision as of 09:26, 9 January 2019 by Skywalker21 (talk | contribs) (Created page with "== Nasıl kullanılır == # Klonlamak istediğiniz nesneyi seçin. # {{Button|16px Klonla}} düğmesine basın.")

Klonla

Menü konumu
Taslak → Klonla
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Taşı, Ölçek

Açıklama

Taslak Klonlama aracı, seçilen bir şeklin bağlantılı kopyalarını oluşturur. Bu, eğer orijinal nesne şeklini ve özelliklerini değiştirirse, tüm klonların da değiştiği anlamına gelir. Bununla birlikte, her bir klon benzersiz konumunu, dönüşünü ve ölçeğini ve ayrıca şekil rengi, çizgi genişliği ve saydamlık gibi görünüm özelliklerini korur.

Klonla aracı, Taslak tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı, Parça tasarım tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Orijinal bir nesneden tamamen bağımsız olan basit kopyalar oluşturmak için Taşı, Döndür ve Ölçek kullanın. Kopyaları ortogonal bir dizide konumlandırmak için Dizi; kopyaları bir yol boyunca konumlandırmak için Yol dizisi kullanın; kopyaları belirtilen noktalara yerleştirmek için Nokta dizisi kullanın.

Klonla Orijinal nesnenin yanındadır

Nasıl kullanılır

  1. Klonlamak istediğiniz nesneyi seçin.
  2. Klonla düğmesine basın.

Depending on its options, the Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their VeriCloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

There are no options for this tool. Either it works with the selected objects or not.

Properties

  • VeriObjects: specifies a list of base objects which are being cloned.
  • VeriScale: specifies the scaling factor for the clone, in each X, Y, and Z direction.
  • VeriFuse: if it is true and VeriObjects includes many shapes that intersect each other, the resulting clone will be fuse them together into a single shape, or make a compound of them. introduced in version 0.17

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Creates a cloned_object from obj, which can be a single object or a list of objects.
  • If given, delta is a FreeCAD.Vector that moves the new clone away from the original position of the base object.
  • If forcedraft is True, the resulting object will be a Draft clone, and not an Arch clone, even if obj is an Arch Workbench object.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Example:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()